QGIS Application - Bug report #12590
Oracle connection fails for OGR import into PostGIS
2015-04-17 03:10 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Processing/OGR

Affected QGIS version:2.8.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20714
Description

The alg is blindly passing the data source uri of a oracle layer to ogr2ogr although the OCI driver has a completely different datasource
syntax, resulting in an error:

GDAL execution console output
FAILURE:
Unable to open datasource ‘dbname=""**' host="**

TkkkI VhkKk!

port=1523 user= password= estimatedmetadata=true
srid=8307 type=POINT table="***"."**" (GEOMETRY_WGS84) sql='
with the following drivers.

-> OCl

-> SOSI

NB: a Processing/OGR category is missing from the tracker

Associated revisions

Revision f0daab9c - 2015-04-20 11:37 AM - Jiirgen Fischer

processing: fix interpretation of oracle layers (fixes #12590)

Funded by norbit.de

Revision ff1b1838 - 2015-04-26 03:24 PM - Jiirgen Fischer

processing: fix interpretation of oracle layers (fixes #12590)

Funded by norbit.de

(cherry picked from commit f0daab9c7c188bd0361d7d11652830558231e1b6)

History

#1 - 2015-04-17 03:14 AM - Jiirgen Fischer
- Assignee deleted (Victor Olaya)
- Category changed from 94 to Processing/OGR

#2 - 2015-04-17 03:45 AM - Giovanni Manghi
- Status changed from Open to Feedback

the question is:

does any (qggis/ogr/etc) processing tool work using a oracle layer as input?

#3 - 2015-04-20 02:39 AM - Jiirgen Fischer
- Status changed from Feedback to Closed

Fixed in changeset commit:"f0daab9c7c188bd0361d7d11652830558231e1b6".
